Bug 249453 - www/libmicrohttpd: Update to 0.9.71
Summary: www/libmicrohttpd: Update to 0.9.71
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://git.gnunet.org/libmicrohttpd....
Keywords: buildisok
Depends on: 250087 250100 250127
Blocks:
  Show dependency treegraph
 
Reported: 2020-09-19 14:11 UTC by daniel.engberg.lists
Modified: 2021-04-21 04:46 UTC (History)
2 users (show)

See Also:
gaod: maintainer-feedback+


Attachments
Patch for libmicrohttpd (2.27 KB, patch)
2020-09-19 14:11 UTC, daniel.engberg.lists
no flags Details | Diff
Patch for libmicrohttpd v2 (3.54 KB, patch)
2020-10-30 00:22 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2020-09-19 14:11:55 UTC
Created attachment 218079 [details]
Patch for libmicrohttpd

Update libmicrohttpd to 0.9.31
Rearrange Makefile (portlint OK)
Add "make test" target


Tested on FreeBSD 13.0-CURRENT #0 r364979 (AMD64) (make test)
Poudriere OK 12.1-RELEASE (AMD64)
Comment 1 Automation User 2020-09-19 14:23:55 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/191989270
Comment 2 daniel.engberg.lists 2020-09-19 15:12:04 UTC
Sorry about the typo, it should say 0.9.71 everywhere.
Comment 3 Tobias C. Berner freebsd_committer 2020-10-03 16:53:44 UTC
Maintainer Timeout
Comment 5 daniel.engberg.lists 2020-10-05 05:18:26 UTC
multimedia/kodi-devel already contains code to handle 0.9.71, compiles fine.
Comment 6 daniel.engberg.lists 2020-10-24 06:12:24 UTC
Can we push this due to maintainer timeout and mark affected ports as BROKEN?
Comment 7 Hung-Yi Chen 2020-10-26 02:19:29 UTC
LGTM, if we can mark affected ports as broken.
Comment 8 daniel.engberg.lists 2020-10-30 00:22:16 UTC
Created attachment 219211 [details]
Patch for libmicrohttpd v2

No change to libmicrohttpd patch, sets affected ports as BROKEN. Discussed with tcberner@
Comment 9 commit-hook freebsd_committer 2020-10-31 08:31:36 UTC
A commit references this bug:

Author: tcberner
Date: Sat Oct 31 08:31:11 UTC 2020
New revision: 553747
URL: https://svnweb.freebsd.org/changeset/ports/553747

Log:
  www/libmicrohttpd: Update to 0.9.71

  - mark dependent ports broken, where there was no action from the
    maintainers in due time.

  PR:		249453
  PR:		250101
  PR:		250083
  PR:		250100
  Submitted by:	daniel.engberg.lists@pyret.net
  Approved by:	gaod@hychen.org (maintainer)

Changes:
  head/audio/faust/Makefile
  head/net/libjson-rpc-cpp/Makefile
  head/net-p2p/retroshare/Makefile
  head/www/libmicrohttpd/Makefile
  head/www/libmicrohttpd/distinfo
  head/www/libmicrohttpd/pkg-plist